## Contributing
Contributions are welcome, and are accepted via pull requests. Please review these guidelines before submitting any pull requests.

* Please follow the [PSR-2 Coding Standard](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md) and [PHP-FIG Naming Conventions](https://github.com/php-fig/fig-standards/blob/master/bylaws/007-psr-naming-conventions.md).
* Remember to follow [SemVer](http://semver.org/). If you are changing the behavior, or the public api, you may need to update the docs.
* Make sure that the current tests pass, and if you have added something new, add the tests where relevant.
* Send a coherent commit history, making sure each individual commit in your pull request is meaningful. If you had to make multiple intermediate commits while developing, please [squash](https://git-scm.com/book/en/v2/Git-Tools-Rewriting-History) them before submitting.
* You may also need to [rebase](https://git-scm.com/book/en/v2/Git-Branching-Rebasing) to avoid merge conflicts.

NOTE: StyleCI is set up to automatically check and fix any code style issues.
