<?php $__env->startSection('Settings'); ?>
active
<?php $__env->stopSection(); ?>

<?php $__env->startSection('settings-bar'); ?>
active
<?php $__env->stopSection(); ?>

<?php $__env->startSection('storage'); ?>
class="active"
<?php $__env->stopSection(); ?>

<?php $__env->startSection('PageHeader'); ?>
<h1><?php echo e(Lang::get('storage::lang.storage')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('HeadInclude'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="box box-primary">

    <div class="box-header with-border">
        <h4> <?php echo e(Lang::get('storage::lang.storage')); ?> </h4>
        <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
        <?php endif; ?>

        <?php if(Session::has('success')): ?>
        <div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <?php echo e(Session::get('success')); ?>

        </div>
        <?php endif; ?>
        <!-- fail message -->
        <?php if(Session::has('fails')): ?>
        <div class="alert alert-danger alert-dismissable">
            <i class="fa fa-ban"></i>
            <b><?php echo e(Lang::get('message.alert')); ?>!</b> <?php echo e(Lang::get('message.failed')); ?>.
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <?php echo e(Session::get('fails')); ?>

        </div>
        <?php endif; ?>
        <?php echo Form::open(['url'=>'storage','method'=>'post']); ?>

    </div><!-- /.box-header -->
    <!-- /.box-header -->
    <div class="box-body">
        <div class="row">
            <div class="form-group col-md-8 <?php echo e($errors->has('default') ? 'has-error' : ''); ?>">
                <?php echo Form::label('default',Lang::get('storage::lang.default')); ?>

                <?php echo Form::select('default',['database'=>'Database','local'=>'Local'],$default,['class'=>'form-control']); ?>             
            </div>
            
            <div class="form-group col-md-6 <?php echo e($errors->has('root') ? 'has-error' : ''); ?>" id="root" style="display: none;">
                <?php echo Form::label('root',Lang::get('storage::lang.root')); ?>

                <?php echo Form::select('root',$directories,$root,['class'=>'form-control']); ?>             
            </div>
            <div id="common" style="display: none;">
                <div class="form-group col-md-6 <?php echo e($errors->has('key') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('key',Lang::get('storage::lang.key')); ?>

                    <?php echo Form::text('key',null,['class'=>'form-control']); ?>             
                </div>
                <div class="form-group col-md-6 <?php echo e($errors->has('region') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('region',Lang::get('storage::lang.region')); ?>

                    <?php echo Form::text('region',null,['class'=>'form-control']); ?>             
                </div>
            </div>
            <div id="s3" style="display: none;">
                <div class="form-group col-md-6 <?php echo e($errors->has('secret') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('secret',Lang::get('storage::lang.secret')); ?>

                    <?php echo Form::text('secret',null,['class'=>'form-control']); ?>             
                </div>
                <div class="form-group col-md-6 <?php echo e($errors->has('bucket') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('bucket',Lang::get('storage::lang.bucket')); ?>

                    <?php echo Form::text('bucket',null,['class'=>'form-control']); ?>             
                </div>
            </div>
            <div id="rackspace" style="display: none;">
                <div class="form-group col-md-6 <?php echo e($errors->has('username') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('username',Lang::get('storage::lang.username')); ?>

                    <?php echo Form::text('username',null,['class'=>'form-control']); ?>             
                </div>
                <div class="form-group col-md-6 <?php echo e($errors->has('container') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('container',Lang::get('storage::lang.container')); ?>

                    <?php echo Form::text('container',null,['class'=>'form-control']); ?>             
                </div>
                <div class="form-group col-md-6 <?php echo e($errors->has('endpoint') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('endpoint',Lang::get('storage::lang.endpoint')); ?>

                    <?php echo Form::text('endpoint',null,['class'=>'form-control']); ?>             
                </div>
                <div class="form-group col-md-6 <?php echo e($errors->has('url_type') ? 'has-error' : ''); ?>">
                    <?php echo Form::label('url_type',Lang::get('storage::lang.url_type')); ?>

                    <?php echo Form::text('url_type',null,['class'=>'form-control']); ?>             
                </div>
            </div>


        </div>
        <!-- /.box-body -->
    </div>
    <div class="box-footer">
        <?php echo Form::submit('Save',['class'=>'btn btn-success']); ?>

        <?php echo Form::close(); ?>

    </div>
    <!-- /.box -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('FooterInclude'); ?>
<script>
    $(document).ready(function () {
        var defaults = $("#default").val();
        switches(defaults);
        $("#default").on("change", function () {
            defaults = $("#default").val();
            switches(defaults);
        });
        function switches(defaults) {
            if(defaults=="local"){
                $("#common").hide();
                $("#s3").hide();
                $("#rackspace").hide();
                $("#root").show();
            }
            if(defaults=="s3"){
               $("#root").hide();
               $("#rackspace").hide();
               $("#common").show();
               $("#s3").show();
            }
            if(defaults=="rackspace"){
               $("#root").hide();
                $("#s3").hide();
               $("#common").show();
               $("#rackspace").show();
            }
            if(defaults=="database"){
               $("#root").hide();
                $("#s3").hide();
               $("#common").hide();
               $("#rackspace").hide();
            }
            
        }
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('themes.default1.admin.layout.admin', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>